﻿

@model Schedule.Application.ViewModel.Agenda.AgendaPesquisaViewModel
<head>
    <link href="~/lib/bootstrap-multiselect/bootstrap-multiselect.css" rel="stylesheet" />
    <script src="~/lib/bootstrap-multiselect/bootstrap-multiselect.js"></script>
    <script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/GestaoAgenda.js")"></script>
</head>

@Html.Hidden("HiddenrefazerPesquisa", Model.Pesquisar)
@if (Model.Pesquisar == false)
{

    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4" id="filtros">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold">Gestão de Agendas</h6>
                </div>


                <div class="card-body">
                    <div class="row">
                        <div class="form-group col-sm-2">
                            <label>Empresa:</label>
                            <div id="DivValidaEmpresa">
                                <select class="form-control" id="EmpresaId" name="EmpresaId">
                                    @if (ViewBag.Empresas != null)
                                    {
                                        <option value="">
                                            Todos
                                        </option>
                                        foreach (var item in ViewBag.Empresas)
                                        {
                                            <option value="@item.Value"> @item.Text  </option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>

                        <div class="form-group col-sm-3">
                            <label>Consultor:</label>
                            <div id="DivValidaConsultor">
                                <select class="form-control" id="ListaConsultoresId" multiple="multiple" name="ListaConsultoresId">

                                    @if (ViewBag.ListaConsultores != null)
                                    {
                                        foreach (var item in ViewBag.ListaConsultores)
                                        {
                                            if (ViewBag.SelecionaConsultor != null && ViewBag.SelecionaConsultor == true)
                                            {
                                                <option value="@item.Value" selected="selected"> @item.Text </option>
                                            }
                                            else
                                            {
                                                <option value="@item.Value"> @item.Text </option>
                                            }
                                        }
                                    }
                                </select>
                            </div>
                        </div>

                        <div class="form-group col-sm-2">
                            <label>Data Inicial</label>
                            <input type="text" autocomplete="off" id="DataInicio" name="DataInicio" class="form-control" />
                        </div>
                        <div class="form-group col-sm-2">
                            <label>Data final</label>
                            <input type="text" autocomplete="off" id="DataFim" name="DataFim" class="form-control" />
                        </div>
                        <div class="form-group col-sm-2">
                            <label>&nbsp</label>
                            <button class="btn btn-primary form-control" id="btnPesquisar">Pesquisar</button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-sm-2">
                            <div id="DivValidaCentroCusto">
                                <label>Centro de Custo:</label>
                                <select class="form-control" id="ListaCentroCustos" multiple="multiple" name="ListaCentroCustos">
                                    @if (ViewBag.TipoCentroCusto != null)

                                        foreach (var item in ViewBag.TipoCentroCusto)
                                        {
                                            <option value="@item.Value">  @item.Text </option>
                                        }
                                </select>
                            </div>
                        </div>
                        <div class="form-group col-sm-3">
                            <div id="DivValidaEspecialidade">
                                <label>Especialidade:</label>
                                <select class="form-control" id="ListaEspecialidades" multiple="multiple" name="ListaEspecialidades">
                                    @if (ViewBag.ListaEspecialidades != null)

                                        foreach (var item in ViewBag.ListaEspecialidades)
                                        {
                                            <option value="@item.id"> @item.DescricaoEspecialidade </option>
                                        }
                                </select>
                            </div>
                        </div>

                        @if (ViewBag.ExibiBotoes != null && ViewBag.ExibiBotoes == true)
                        {
                            <div class="form-group col-sm-2">
                                <label>&nbsp</label>
                                <a asp-action="Novo" class="btn form-control btn-success"> Cadastrar Alocação</a>
                            </div>

                            <div class="form-group col-sm-2">
                                <label>&nbsp</label>
                                <a asp-action="Excluir" class="btn form-control btn-danger"> Excluir Alocação</a>
                            </div>
                        }


                    </div>
                    <div class="row">
                        <div class="form-group col-sm-12">
                            <div id="DivValidacao" class="border-bottom-dark h4 text-center font-weight-bold text-danger">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
else
{
    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4" id="filtros">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold">Gestão de Agendas</h6>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="form-group col-sm-2">
                            <label>Empresa:</label>
                            <div id="DivValidaEmpresa">
                                <select class="form-control" id="EmpresaId" name="EmpresaId">
                                    @if (ViewBag.Empresas != null)
                                    {
                                        <option value="">
                                            Todos
                                        </option>
                                        foreach (var item in ViewBag.Empresas)
                                        {
                                            @if (item.Value == Model.EmpresaId.ToString())
                                            {
                                                <option value="@item.Value" selected="selected"> @item.Text  </option>
                                            }
                                            else
                                            {
                                                <option value="@item.Value"> @item.Text  </option>
                                            }

                                        }
                                    }
                                </select>
                            </div>
                        </div>

                        <div class="form-group col-sm-3">
                            <label>Consultor:</label>
                            <div id="DivValidaConsultor">
                                <select class="form-control" id="ListaConsultoresId" multiple="multiple" name="ListaConsultoresId">

                                    @if (ViewBag.ListaConsultores != null)
                                    {
                                        foreach (var item in ViewBag.ListaConsultores)
                                        {
                                            if (ViewBag.SelecionaConsultor != null && ViewBag.SelecionaConsultor == true)
                                            {
                                                <option value="@item.Value" selected="selected"> @item.Text </option>
                                            }
                                            else
                                            {


                                                if (Model.ListaConsultoresId.Contains(Guid.Parse(item.Value)))
                                                {
                                                    <option value="@item.Value" selected="selected"> @item.Text </option>
                                                }
                                                else
                                                {
                                                    <option value="@item.Value"> @item.Text </option>
                                                }

                                            }
                                        }
                                    }
                                </select>
                            </div>
                        </div>

                        <div class="form-group col-sm-2">
                            <label>Data Inicial</label>
                            <input type="text" autocomplete="off" id="DataInicio" name="DataInicio" value="@Model.DataInicio" class="form-control" />
                        </div>
                        <div class="form-group col-sm-2">
                            <label>Data final</label>
                            <input type="text" autocomplete="off" id="DataFim" name="DataFim" class="form-control" value="@Model.DataFim" />
                        </div>
                        <div class="form-group col-sm-2">
                            <label>&nbsp</label>
                            <button class="btn btn-primary form-control" id="btnPesquisar">Pesquisar</button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-sm-2">
                            <div id="DivValidaCentroCusto">
                                <label>Centro de Custo:</label>
                                <select class="form-control" id="ListaCentroCustos" multiple="multiple" name="ListaCentroCustos">
                                    @if (ViewBag.TipoCentroCusto != null)

                                        foreach (var item in ViewBag.TipoCentroCusto)
                                        {
                                            if (Model.ListaCentroCustos.Contains(Guid.Parse(item.Value)))
                                            {
                                                <option value="@item.Value" selected="selected"> @item.Text </option>
                                            }
                                            else
                                            {
                                                <option value="@item.Value"> @item.Text </option>
                                            }

                                        }
                                </select>
                            </div>
                        </div>
                        <div class="form-group col-sm-3">
                            <div id="DivValidaEspecialidade">
                                <label>Especialidade:</label>
                                <select class="form-control" id="ListaEspecialidades" multiple="multiple" name="ListaEspecialidades">
                                    @if (ViewBag.ListaEspecialidades != null)

                                        foreach (var item in ViewBag.ListaEspecialidades)
                                        {
                                            if (Model.ListaEspecialidades.Contains(@item.id))
                                            {
                                                <option value="@item.id" selected="selected"> @item.DescricaoEspecialidade </option>
                                            }
                                            else
                                            {
                                                <option value="@item.id"> @item.DescricaoEspecialidade </option>
                                            }

                                        }
                                </select>
                            </div>
                        </div>

                        @if (ViewBag.ExibiBotoes != null && ViewBag.ExibiBotoes == true)
                        {
                            <div class="form-group col-sm-2">
                                <label>&nbsp</label>
                                <a asp-action="Novo" class="btn form-control btn-success"> Cadastrar Alocação</a>
                            </div>

                            <div class="form-group col-sm-2">
                                <label>&nbsp</label>
                                <a asp-action="Excluir" class="btn form-control btn-danger"> Excluir Alocação</a>
                            </div>
                        }


                    </div>
                    <div class="row">
                        <div class="form-group col-sm-12">
                            <div id="DivValidacao" class="border-bottom-dark h4 text-center font-weight-bold text-danger">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


}


<div class="row">
    <div class="col-lg-12">
        <div class="card">

            <div id="ScheduleTable" class="schedule-table" style="display:none">
                <table id="tabelaAlocacao">
                </table>
            </div>
        </div>
    </div>
</div>
<div class="modal modal-backdrop" id="idloading">
    <div class="modal-dialog modal-dialog-centered modal-sm">
        <div class="modal-content">
            <div class="modal-body bg-white">
                <div class="text-center bg-white">
                    <span class="text-danger"><strong>Processando.............</strong></span>
                    <div class="spinner-border text-danger" role="status">
                        <span class="sr-only">Loading.........</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

